# Generated by Django 2.2.11 on 2020-04-05 17:25

from django.db import migrations


def move_to_encrypted_fields(apps, schema_editor):
    Person = apps.get_model('logistica', 'Person')
    for person in Person.objects.all():
        person.enc_name = person.name
        person.enc_address = person.address
        person.enc_number = person.number
        person.enc_city = person.city
        person.enc_province = person.province
        person.enc_cp = person.cp
        person.enc_country = person.country
        person.enc_phone = person.phone
        person.save()


class Migration(migrations.Migration):

    dependencies = [
        ('logistica', '0039_auto_20200405_1725'),
    ]

    operations = [
        migrations.RunPython(move_to_encrypted_fields,
                             migrations.RunPython.noop),
    ]
